<div class="modal-header">
    <h5 class="modal-title">
        <span class="font-weight-light">Edit Tile</span>
    </h5>
    <button type="button" class="close" (click)="close()">&times;</button>
</div>
<div *blockUI="blockUIName;  template: blockTemplate" class="modal-body custom-bg-block-ui">
    <!-- <div class="form-row">
         <div class="form-group col">
             <label class="form-label">Select Tile Size</label>
             <select class="form-control input-material option-capitalize" [(ngModel)]="pinChartSize">
                 <option class="option-material" *ngFor="let pinSize of pinSizeList" [value]="pinSize">{{pinSize=='big'?'Large':pinSize}}
                 </option>
             </select>
         </div>
     </div>-->
    <div class="form-row">
        <div class="form-group col">
            <label class="form-label">Title</label>
            <input type="text" class="form-control input-material" placeholder="Title" name="Title"
                   [(ngModel)]="pinName">
        </div>
    </div>
    <div class="form-row">
        <div class="form-group col">
            <label class="form-label">Tab Label</label>
            <input type="text" class="form-control input-material" placeholder="Enter Tab label" name="Outline Display Name"
                   [(ngModel)]="group_name">
        </div>
    </div>
    <div class="form-row">
        <div class="form-group col">
            <label class="form-label">Keyword</label>
            <input type="text" class="form-control input-material" placeholder="Keyword" name="keyword"
                   [(ngModel)]="keyword" (keyup)="valid = validate(keyword)">
        </div>
    </div>
    <span class="invalid-feedback" style="display:block" *ngIf="valid.status">{{valid.msg}}</span>
    <div class="form-row">
        <div class="form-group col">
            <label class="custom-control custom-checkbox">
                <input type="checkbox" class="custom-control-input" [(ngModel)]="isFiterCanApply"
                       [checked]="isFiterCanApply">
                <span class="custom-control-label">Apply Global Filter</span>
            </label>
        </div>
    </div>
    <!--<div class="form-row" *ngIf="datamanager.isMobileview">
        <div class="form-group col">
            <label class="custom-control custom-checkbox">
                <input type="checkbox" class="custom-control-input" [(ngModel)]="isMobileview" [checked]="isMobileview">
                <span class="custom-control-label">Mobile View</span>
            </label>
        </div>
    </div>-->
    <div class="form-row" style="max-height: 300px;min-height: 200px;overflow: auto;">
        <div class="form-group col">
            <label class="form-label">Key Takeaways </label>
            <a *ngIf="editorContent" class="text-primary mr-1 float-right text-underline cursor"
               (click)="editorContent=null;">Clear</a>
            <!-- <quill-editor [(ngModel)]="editorContent" placeholder="Type something">
                <div quill-editor-toolbar>
                    <span class="ql-formats">
                      <select class="ql-font"></select>
                      <select class="ql-size"></select>
                    </span>
                    <span class="ql-formats">
                      <button class="ql-bold"></button>
                      <button class="ql-italic"></button>
                      <button class="ql-underline"></button>
                      <button class="ql-strike"></button>
                    </span>
                    <span class="ql-formats">
                      <select class="ql-color"></select>
                      <select class="ql-background"></select>
                    </span>
                    <span class="ql-formats">
                      <button class="ql-script" value="sub"></button>
                      <button class="ql-script" value="super"></button>
                    </span>
                    <span class="ql-formats">
                      <button class="ql-header" value="1"></button>
                      <button class="ql-header" value="2"></button>
                      <button class="ql-blockquote"></button>
                      <button class="ql-code-block"></button>
                    </span>
                    <span class="ql-formats">
                      <button class="ql-list" value="ordered"></button>
                      <button class="ql-list" value="bullet"></button>
                      <button class="ql-indent" value="-1"></button>
                      <button class="ql-indent" value="+1"></button>
                    </span>
                    <span class="ql-formats">
                      <button class="ql-direction" value="rtl"></button>
                      <select class="ql-align"></select>
                    </span>
                    <span class="ql-formats">
                      <button class="ql-link"></button>
                      <button class="ql-image"></button>
                      <button class="ql-video"></button>
                    </span>
                    <span class="ql-formats">
                      <button class="ql-clean"></button>
                    </span>
                </div>
            </quill-editor> -->
        </div>
    </div>
</div>

<div class="modal-footer">
    <button type="button" class="btn btn-default" (click)="close()">Close</button>
    <button type="button" class="btn btn-primary btn-material" (click)="updatePinItem()">Save</button>
</div>
<ng-template #blockTemplate>
    <div class="block-ui-template custom-bg-block-ui mb-3">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg"> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                      <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                    </circle> <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                      <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.44999999999999996s"></animate>
                    </circle> <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                      <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                    </circle> <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                      <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                    </circle>
                    </svg>
                <span class="loading-text-material">
        </span>
            </div>
        </div>
    </div>
</ng-template>